<?php

App::uses('MediaLibraryAppModel', 'EvMediaLibrary.Model');

class MediaLibraryFile extends MediaLibraryAppModel {

	public $displayField = 'location';

	public $documentSlots = 1;

/**
 * Set file location based on file upload
 *
 * @param array $options Options array to pass into beforeSave
 * @return void
 */
	public function beforeSave($options = array()) {
		parent::beforeSave($options);

		// file name isnt on the end of here bc it gets made later - we can append the file name on
		// the end when we read the record
		$this->data['MediaLibraryFile']['location'] = Configure::read('App.fullBaseUrl') . '/files/document/' . $this->data['Document'][0]['id'];
	}

/**
 * Finishes off the location field by appending the file name to it
 *
 * @param array $results Results of the find
 * @param bool $primary Is Primary
 * @return array           Results
 */
	public function afterFind($results, $primary = false) {
		$results = parent::afterFind($results, $primary);

		foreach ($results as &$result) {
			if (!empty($result['Document'])) {
				$result['MediaLibraryFile']['location'] .= '/' . $result['Document'][0]['filename'];
			}
		}

		return $results;
	}
}
